%define _prefix /opt/lscsoft/framecpp

Summary: C++ interface to the LIGO/Virgo framespec.
Name: framecpp
Version: 1.12.1
Release: 1
License: ?
Group: frameCPP
URL: http://www.ligo.caltech.edu
Source0: http://ldas-sw.ligo.caltech.edu/packages/framecpp-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires: autoconf automake libtool zlib-devel

%description
Provides access to all frame structures documented in the framespec.

%package devel
Version: %{version}
Summary: frameCPP toolkit development files
Group: Development/Languages
URL: http://www.ligo.caltech.edu
Requires: %{name} = %{version}-%{release}

%description devel
The package contains the development files for frameCPP.

%prep
%setup -q

%build
%configure --disable-auto-ldcg-inclusion --without-ospace --without-stlport --with-optimization=high --enable-inlining --without-odbc --disable-metadata-api
make
make check

%install
rm -rf $RPM_BUILD_ROOT
env DESTDIR=$RPM_BUILD_ROOT make install
( cd lib/framecpp ; env DESTDIR=$RPM_BUILD_ROOT make lscsoft-install )
rm -rf $RPM_BUILD_ROOT/%{_exec_prefix}/lib/perceps

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}
%{_libdir}/*.so*
%{_prefix}/etc/framecpp-user-env.*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*a
%{_libdir}/pkgconfig
%{_prefix}/doc

%changelog
* Wed Apr 18 2007 Edward Maros <emaros@ligo.caltech.edu> - framecpp-5>
- Modified to build for both opteron 64bit and standard 32 bit systems
- Added make check
- Build runtime and developement packages.
- Removed unused perceps directory from installation.

* Tue Jul 25 2006 Edward Maros <emaros@ligo.caltech.edu> - framecpp-1
- Build for offline DMT

* Tue Feb 21 2006 Edward Maros <emaros@ligo.caltech.edu> - framecpp-1
- Initial build.
